;
;       This program uses the INOUT statment to get data from the input
;       source (microphones) and put out processed sound.
;       The processing consists of three ALLPASS filters whose feedback
;       parameter is controled by the mod wheel of a MIDI keyboard.
;
     HEADER   45000.,32,$E0
     WIRE     RightIn,0
     WIRE     Unused,0
     WIRE     Control,0
     WIRE     Wire1,0
     WIRE     LeftOut,0
     WIRE     RightOut,0
     WIRE     LeftIn,0
     MIDI     Unused,Unused,Unused,Control,Unused ;mod wheel used for control
     ALLPASS  Wire1,LeftIn,Control,1625
     ALLPASS  RightOut,RightIn,Control,1211
     ALLPASS  LeftOut,Wire1,Control,4000
     INOUT    RightOut,LeftOut,LeftIn,RightIn,1,1,
     jmp      kBEGIN            ;kBEGIN is a label that is after the last line
                                ;in the HEADER macro.
